Update data dashboard

Update the name, description, and data source of the specified data dashboard.

HTTP
PATCH $CLOUDSIGMA_API_BASE/data-dashboards/{dashboard_id}

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

Set the operation-specific values used in the request:

  • $DASHBOARD_ID: dashboard_id to use, specifying the target resource via the request path.

Request

Replace caller-specific values in the example with actual values.

Shell
curl -X PATCH "$CLOUDSIGMA_API_BASE/data-dashboards/$DASHBOARD_ID" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "销售概览",
    "description": "更新后的说明",
    "sources": [{"table_id": 1001}]
  }'

Request body

ParameterTypeRequiredDescription
namestringRequiredData dashboard name.
descriptionstringRequiredData dashboard description.
sourcesarrayRequiredList of data sources.
sources[].table_idintegerRequiredData source table ID.

Successful response

When the update is successful, the data.updated in the response is true.

JSON
{
  "code": 0,
  "data": {"updated": true}
}

The response fields are as follows.

Field

Type

Description

data.updated

boolean

Whether it has been updated.

Error response

JSON
{
  "code": 2,
  "message": "invalid argument",
  "details": {
    "domain": "moi-core.catalog.data_dashboard",
    "reason": "DATA_DASHBOARD_INVALID_REQUEST"
  }
}
FieldTypeDescription
codeinteger or stringError code or status.
messagestringError message.
Last updated on